Mailinglist Archive: yast-devel (17 mails)

< Previous Next >
[yast-devel] Broken Yast in TW?
I've just checked the opensuse-factory ML and there are at least two
reports about broken (unusable) Yast:

--- cut ---
linux-jyg:~ # yast
Error loading language plugin /usr/lib64/YaST2/plugin/libpy2lang_ruby.so:
/usr/lib64/YaST2/plugin/libpy2lang_ruby.so: undefined symbol:
_ZNK11SymbolEntry8toStringB5cxx11Eb /usr/lib/YaST2/bin/y2base: symbol
lookup error: /usr/lib64/YaST2/plugin/libpy2lang_perl.so: undefined symbol:
_Z16should_be_loggediRKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE

Quick check with rpm shows that /usr/lib64/YaST2/plugin/libpy2lang_perl.so
comes from the yast2-perl-bindings-3.1.2-3.4.x86_64 package.
current version is really 3.1.2
--- cut --

Maybe new libzypp in TW but without related changes in Yast?

And the other on is
--- cut ---
https://bugzilla.opensuse.org/show_bug.cgi?id=936788

2015-07-01 17:00:06 <1> rpitest(1829) [Ruby] yast/wfm.rb:187 Call client
/usr/share/YaST2/clients/sw_single.rb
2015-07-01 17:00:07 <3> rpitest(1829) [liby2]
Y2PluginComponent.cc(loadPlugin):234 error loading plugin
/usr/lib/YaST2/plugin/libpy2Pkg.so.2:
/usr/lib/YaST2/plugin/libpy2Pkg.so.2: undefined symbol:
_ZN4zypp12DigestReport27askUserToAccepUnknownDigestERKNS_10filesystem8PathnameERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE

yast2-pkg-bindings 3.1.24-1.2
current version is 3.1.27
--- cut ---

Have you seen anything similar?

Thanks
Lukas

--

Lukas Ocilka, Systems Management (Yast) Team Leader
SLE Department, SUSE Linux
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: yast-devel+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups